package node

// 返回false阻止继续运行
// 回合开始
func (this *EffectNode) PreBattleStart() bool {

	return true

}

// 返回false阻止继续运行
// 回合开始
func (this *EffectNode) OnBattleStart() bool {

	return true

}

//回合结束前

func (this *EffectNode) PreBattleEnd() bool {
	return true

}

//回合结束

func (this *EffectNode) OnBattleEnd() bool {
	return true

}
